ONVIF::Media::Types::EncodingTypes(3)

NAME

DESCRIPTION
Perl data type class for the XML Schema defined simpleType EncodingTypes from the namespace http://www.onvif.org/ver10/media/wsdl.

Indication which encodings are supported for this video source. The list may contain one or more enumeration values of tt:VideoEncoding.

This clase is derived from
    SOAP::WSDL::XSD::Typelib::Builtin::string .

You may pass the following structure to new():

 [ $value_1, .. $value_n ]

All elements of the list must be of the class' base type (or valid arguments to it's constructor).

METHODS

  new
Constructor.

  get_value / set_value
Getter and setter for the simpleType's value.

OVERLOADING
Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check SOAP::WSDL::XSD::Typelib::Builtin for more information.

AUTHOR
Generated by SOAP::WSDL